## gameclock 5.1

=== po/Makefile ===
*.po: messages.pot
	msgmerge -U $@ $<

messages.pot: ../gameclock/game.py ../scripts/gameclock ../gameclock/gtkui.py
	pygettext -k_ -kN_ -D -o $@ ../gameclock/game.py
	xgettext -k_ -kN_ -L Python -j -o $@ ../scripts/gameclock ../gameclock/gtkui.py ../gameclock/clock.py

## gameclock 3.1

=== debian/changelog ===
gameclock (3.1-2) unstable; urgency=low

  * Fix lintian warnings (copyright symbol, url in copyright file)
  * Switch to source format 3.0 (quilt)

 -- Antoine Beaupré <anarcat@koumbit.org>  Sun, 21 Aug 2011 16:05:18 +0100

gameclock (3.1-1) unstable; urgency=low

  * New upstream release:
    * hide menu in fullscreen
    * add clocks descriptions
  * Fix description and Vcs-Browser links

 -- Antoine Beaupré <anarcat@koumbit.org>  Sat, 23 Jul 2011 23:34:42 -0400

gameclock (3.0-2) unstable; urgency=low

  * Fix homepage field to point to project page

 -- Antoine Beaupré <anarcat@koumbit.org>  Fri, 08 Jul 2011 02:29:04 -0400

gameclock (3.0-1) unstable; urgency=low

  * New upstream version
  * Major overhaul of the user interface
  * use dh simpler targets in debian/rules
  * silence some lintian warnings
  * Update standards version to 3.9.2, no change

 -- Antoine Beaupré <anarcat@koumbit.org>  Fri, 08 Jul 2011 02:00:51 -0400

gameclock (2.1-2) unstable; urgency=low

  * Switch to git for project management
  * Make DM-Upload ready since I am now a Debian Maintainer
  * Update standards versions to 3.8.3

 -- Antoine Beaupré <anarcat@koumbit.org>  Sun, 30 Aug 2009 16:34:22 -0400

gameclock (2.1-1) unstable; urgency=low

  * New upstream release. This release adds support for two new game types
    and eases adaptation to other game types. I also designed a simple
    logo.

 -- Antoine Beaupré <anarcat@koumbit.org>  Fri, 19 Sep 2008 12:52:39 +0200

gameclock (2.0-1) unstable; urgency=low

  * New upstream release. The major new feature is the ability to have an
    arbitrary number of clocks/players.
  * Package renamed to gameclock since it's more than a chessclock now.
  * Fix my name (it spells with an accent) and my email (more frequently
    used).

 -- Antoine Beaupré <anarcat@koumbit.org>  Wed, 20 Aug 2008 00:01:37 -0400

pychessclock (1.2-1) unstable; urgency=low

  * New upstream release
  * It happens that there already is another "chessclock" out there, at
    http://gnomecoder.wordpress.com/chessclock/ . That other chessclock is
    written in Ruby/Gtk/Glade and is very similar to my clock. I have
    therefore renamed my version to avoid confusion. I also think keeping
    on developing my version as I am more familiar with Python.
  * This release adds features from chessclock that were missing in
    pychessclock: full screen and turn counting, mainly.

 -- Antoine Beaupre <antoine@koumbit.org>  Thu, 14 Aug 2008 16:50:16 -0300

chessclock (1.1-2) unstable; urgency=low

  * Try to reupload without an accent in my name.

 -- Antoine Beaupre <antoine@koumbit.org>  Thu, 14 Aug 2008 11:48:21 -0300

chessclock (1.1-1) unstable; urgency=low

  * Turn this into a non-native package
  * Change my email address to the one I registered to mentors.d.n with

 -- Antoine Beaupré <antoine@koumbit.org>  Thu, 14 Aug 2008 10:47:41 -0300

chessclock (1.1) unstable; urgency=low

  * First Debian packaging
  * Improvements over the help and output system

 -- The Anarcat <anarcat@koumbit.org>  Thu, 14 Aug 2008 01:55:21 -0300

chessclock (1.0) unstable; urgency=low

  * First official release of the Chess Clock, no debian package.

 -- The Anarcat <anarcat@koumbit.org>  Wed, 13 Aug 2008 20:14:51 -0300

=== debian/control ===
Source: gameclock
Section: games
Priority: optional
Maintainer: Antoine Beaupré <anarcat@koumbit.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.3.5-7)
Standards-Version: 3.9.2
Homepage: https://redmine.koumbit.net/projects/gameclock
Vcs-Browser: https://redmine.koumbit.net/projects/gameclock/repository
Vcs-Git: git://git.koumbit.net/gameclock/

Package: gameclock
Architecture: all
Depends: python (>= 2.3.5-7), python-gtk2, ${misc:Depends}
Description: simple chess clock to track time in real life games
 Fairly simple application designed to track the time spent thinking
 by the players during a chess game. Various clock engines are
 available (speed chess, fisher chess, board games or hourglass). The
 graphical interface is keyboard-driven and is intended to be minimal
 and simple. The code is made to be extensible to other game types.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	install gameclock.py $(CURDIR)/debian/gameclock/usr/games/gameclock

override_dh_installman:
	dh_installman gameclock.6

## gameclock 4.0

=== debian/changelog ===
gameclock (4.0-3) unstable; urgency=low

  * change my email address
  * no need for DM field anymore, I am a DD!

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 06 Nov 2011 22:27:30 -0500

gameclock (4.0-2) unstable; urgency=low

  [Colin Watson]
   * Build-depend on python-setuptools (Closes: #646801).

 -- Antoine Beaupré <anarcat@koumbit.org>  Thu, 27 Oct 2011 10:14:55 -0400

gameclock (4.0-1) unstable; urgency=low

  * change build system to use setuptools
  * new upstream release for the API change of moving files around

 -- Antoine Beaupré <anarcat@koumbit.org>  Tue, 11 Oct 2011 00:45:28 -0400

gameclock (3.1-3) unstable; urgency=low

  * fix FTBFS by reverting a lintian fix on the manpage. this will get
    into the debian package once i make a new upstream release
    (Closes: #643128).

 -- Antoine Beaupré <anarcat@koumbit.org>  Fri, 30 Sep 2011 00:25:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: gameclock
 Section: games
 Priority: optional
-Maintainer: Antoine Beaupré <anarcat@koumbit.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), python (>= 2.3.5-7)
+Maintainer: Antoine Beaupré <anarcat@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), python (>= 2.3.5-7), python-setuptools
 Standards-Version: 3.9.2
 Homepage: https://redmine.koumbit.net/projects/gameclock
 Vcs-Browser: https://redmine.koumbit.net/projects/gameclock/repository

## gameclock 4.1

=== debian/changelog ===
gameclock (4.1) unstable; urgency=low

  * make this a native package now that I am a DD
  * fix python dependency (Closes: #662152)
  * upgrade to debhelper 9.0
  * update to policy 3.9.4, no change
  * fix about dialog
  * fix pause display
  * escape now exits full screen
  * pause doesn't change turns anymore
  * added a statusbar
  * display logo properly in menu, usage and icon

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 13 Jan 2013 17:07:22 -0500

## gameclock 4.2

=== debian/changelog ===
gameclock (4.2) unstable; urgency=low

  * fix old display bug in the first window
  * remove hours from display
  * fix critical bug with fisher that was giving 10s advantage to the left
    clock
  * switch from miliseconds to tenths of a second
  * merge the status bars back into one

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 17 Jan 2013 23:47:50 -0500

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: games
 Priority: optional
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python (>= 2.3.5-7), python-setuptools
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9.0), python, python-setuptools
+Standards-Version: 3.9.4
 Homepage: https://redmine.koumbit.net/projects/gameclock
 Vcs-Browser: https://redmine.koumbit.net/projects/gameclock/repository
 Vcs-Git: git://git.koumbit.net/gameclock/
 
 Package: gameclock
 Architecture: all
-Depends: python (>= 2.3.5-7), python-gtk2, ${misc:Depends}
+Depends: ${python:Depends}, python-gtk2, ${misc:Depends}
 Description: simple chess clock to track time in real life games
  Fairly simple application designed to track the time spent thinking
  by the players during a chess game. Various clock engines are

## gameclock 5.0

=== debian/changelog ===
gameclock (5.0) unstable; urgency=low

  * fix sort order of games
  * upload to unstable

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 05 May 2013 16:42:23 -0400

gameclock (5.0~beta3) experimental; urgency=low

  * fix theming translations
  * prettier shortcuts window
  * fix a few bugs with the File menu
  * implement restart
  * change default to 5 minute lightning game

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 07 Apr 2013 20:11:44 -0400

gameclock (5.0~beta2) experimental; urgency=low

  * sort game names
  * fix player switching
  * fix fullscreen commandline option
  * add theming support
  * fix single player support
  * sort game names

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 23 Jan 2013 10:26:11 -0500

gameclock (5.0~beta1) experimental; urgency=low

  * sound support
  * standard go timers support
  * per clock move counters
  * dropped status bar again

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 22 Jan 2013 22:38:55 -0500

gameclock (5.0~alpha1) experimental; urgency=low

  * add unit tests
  * remove the "new" dialog that was confusing for new users and not very pretty
  * create better menu system for changing settings
  * major API changes and cleanup in game and clock modules
  * fix misspelling in "Fischer"
  * make this application translatable, ship a fr_CA translation
  * allow for arbitrary format of clocks
  * switch to tenths of a seconds after a threshold, instead of asking the
    user
  * tons of other small changes

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 21 Jan 2013 23:25:57 -0500

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,10 @@
 Package: gameclock
 Architecture: all
 Depends: ${python:Depends}, python-gtk2, ${misc:Depends}
+Recommends: sound-theme-freedesktop, python-pygame
 Description: simple chess clock to track time in real life games
  Fairly simple application designed to track the time spent thinking
  by the players during a chess game. Various clock engines are
- available (speed chess, fisher chess, board games or hourglass). The
+ available (speed chess, fischer chess, board games or hourglass). The
  graphical interface is keyboard-driven and is intended to be minimal
  and simple. The code is made to be extensible to other game types.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2

override_dh_installman:
	dh_installman gameclock.6

## gameclock 5.1

=== debian/changelog ===
gameclock (5.1) unstable; urgency=medium

  * make pep8 clean
  * fix branch checkout for vcswatch
  * fix menu file and add desktop file (Closes: #737886)
  * make git-dch work
  * properly run tests against local code
  * remove DOS file endings
  * move to 0xacab.org
  * use dh-python
  * fix SVG default icon size to 128px

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 02 Sep 2016 17:01:59 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,15 @@
 Section: games
 Priority: optional
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 9.0), python, python-setuptools
-Standards-Version: 3.9.4
-Homepage: https://redmine.koumbit.net/projects/gameclock
-Vcs-Browser: https://redmine.koumbit.net/projects/gameclock/repository
-Vcs-Git: git://git.koumbit.net/gameclock/
+Build-Depends: debhelper (>= 9.0)
+               , python
+               , python-setuptools
+               , dh-python
+XS-Python-Version: >= 2.3
+Standards-Version: 3.9.8
+Homepage: https://0xacab.org/anarcat/gameclock
+Vcs-Browser: https://0xacab.org/anarcat/gameclock/tree/5.x
+Vcs-Git: https://0xacab.org/anarcat/gameclock.git -b 5.x
 
 Package: gameclock
 Architecture: all

## gameclock 5.1build1

=== debian/changelog ===
gameclock (5.1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:33:30 +0000

## gameclock 5.1+nmu1

=== debian/changelog ===
gameclock (5.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:37:28 +0800
